from secret_loader import SecretLoader

load_secret = SecretLoader(env_key_prefix='CF_PD').load

# Crunchyroll
CRUNCHYROLL_DEVICE_ID = load_secret('CRUNCHYROLL_DEVICE_ID')
CRUNCHYROLL_AUTH = load_secret('CRUNCHYROLL_AUTH')

# FFXIV
FFXIV_CHARACTER_ID = load_secret('FFXIV_CHARACTER_ID')

# Playstation
PLAYSTATION_PSN_ID = load_secret('PLAYSTATION_PSN_ID')

# Partisia Blockchain
PBC_ACCOUNT_ADDRESS = load_secret('PBC_ACCOUNT_ADDRESS')

# Kucoin
KUCOIN_KEY = load_secret('KUCOIN_KEY')
KUCOIN_SECRET = load_secret('KUCOIN_SECRET')
KUCOIN_PASS = load_secret('KUCOIN_PASS')

# KRAKEN
KRAKEN_KEY = load_secret('KRAKEN_KEY')
KRAKEN_SECRET = load_secret('KRAKEN_SECRET')

# Home Assistant
HOME_ASSISTANT_ROOT = load_secret('HOME_ASSISTANT_ROOT')
HOME_ASSISTANT_LLAK = load_secret('HOME_ASSISTANT_LLAK')

# Email configuration
MAILGUN_API_KEY = load_secret('MAILGUN_API_KEY')
MAILGUN_DOMAIN = load_secret('MAILGUN_DOMAIN')
MAILGUN_RECIPIENT = load_secret('MAILGUN_RECIPIENT')
